For the complete documentation index, see llms.txt. This page is also available as Markdown.

Conversations

Manage conversations between users and agents. These endpoints allow you to create, retrieve, update, and delete conversations and their associated messages.

List Conversations

get

List conversations with pagination and filtering

Query parameters
assignment_idstring · nullableOptional

Filter by assignment ID

agent_idstring · nullableOptional

Filter by agent ID

page_numintegerOptional

Current page number

Default: 1
page_sizeintegerOptional

Items per page

Default: 20
orderstring · nullableOptional

order by: 'recent'(default) or 'oldest'

Default: recent
statusstring · nullableOptional

Filter by status

statusesstring[] · nullableOptional

Filter by statuses

tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Responses
200

Successful Response

application/json
page_numintegerRequired

Current page number

page_sizeintegerRequired

Number of items per page

total_countintegerRequired

Total number of items

total_pagesintegerOptional

Total number of pages

Default: 1
has_next_pagebooleanRequired

Whether there is a next page

get/admin/api/v2/conversations

List Messages By Conversation

get

List messages in a conversation with pagination

Path parameters
conversation_idstringRequired
Query parameters
pageintegerOptional

Page number

Default: 1
page_sizeintegerOptional

Page size

Default: 20
tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Responses
200

Successful Response

application/json
page_numintegerRequired

Current page number

page_sizeintegerRequired

Number of items per page

total_countintegerRequired

Total number of items

total_pagesintegerOptional

Total number of pages

Default: 1
has_next_pagebooleanRequired

Whether there is a next page

get/admin/api/v2/conversations/{conversation_id}/messages

Create Conversation

post

Create a new conversation

Query parameters
assignment_idstring · nullableOptional

Filter by assignment ID

tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Body

Conversation create request

topicstringOptional

Conversation topic

Default: New Conversation
statusobject · nullableOptional

Conversation status

Default: running
agent_idstring · uuid · nullableOptional

Agent ID

inputsobject · Inputs · nullableOptional

Inputs

assignment_idstring · nullableOptional

Assignment ID

Responses
201

Successful Response

application/json
created_bystring · nullableOptional
updated_bystring · nullableOptional
created_by_rolestring · nullableOptional
updated_by_rolestring · nullableOptional
idstringRequired

Conversation ID

topicstring · nullableOptional

Conversation topic

agent_idstringRequired

Agent ID

tenant_idstringRequired

Tenant ID

tenant_unit_idstringRequired

Tenant Unit ID

user_idstringRequired

User ID

agent_modestringRequired

Agent mode

extend_propertiesobject · Extend PropertiesOptional

Extended properties

invoke_fromstring · nullableOptional

Invoke from

inputsobject · Inputs · nullableOptional

Inputs

statusobject · nullableOptional

Workforce run status

Default: running
assignment_idstring · nullableOptional

Assignment ID

created_timestring · date-time · nullableOptional

Created time

updated_timestring · date-time · nullableOptional

Updated time

created_by_namestring · nullableOptional

Created by name

updated_by_namestring · nullableOptional

Updated by name

agent_typestring · nullableOptional

Agent type

post/admin/api/v2/conversations

Update Conversation

patch

Update a conversation (currently only supports updating topic)

Path parameters
conversation_idstringRequired
Query parameters
tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Body
object · Update DataOptional
Responses
200

Successful Response

application/json
created_bystring · nullableOptional
updated_bystring · nullableOptional
created_by_rolestring · nullableOptional
updated_by_rolestring · nullableOptional
idstringRequired

Conversation ID

topicstring · nullableOptional

Conversation topic

agent_idstringRequired

Agent ID

tenant_idstringRequired

Tenant ID

tenant_unit_idstringRequired

Tenant Unit ID

user_idstringRequired

User ID

agent_modestringRequired

Agent mode

extend_propertiesobject · Extend PropertiesOptional

Extended properties

invoke_fromstring · nullableOptional

Invoke from

inputsobject · Inputs · nullableOptional

Inputs

statusobject · nullableOptional

Workforce run status

Default: running
assignment_idstring · nullableOptional

Assignment ID

created_timestring · date-time · nullableOptional

Created time

updated_timestring · date-time · nullableOptional

Updated time

created_by_namestring · nullableOptional

Created by name

updated_by_namestring · nullableOptional

Updated by name

agent_typestring · nullableOptional

Agent type

patch/admin/api/v2/conversations/{conversation_id}

Get Conversation

get

Get a conversation by ID

Path parameters
conversation_idstringRequired
Query parameters
tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Responses
200

Successful Response

application/json
created_bystring · nullableOptional
updated_bystring · nullableOptional
created_by_rolestring · nullableOptional
updated_by_rolestring · nullableOptional
idstringRequired

Conversation ID

topicstring · nullableOptional

Conversation topic

agent_idstringRequired

Agent ID

tenant_idstringRequired

Tenant ID

tenant_unit_idstringRequired

Tenant Unit ID

user_idstringRequired

User ID

agent_modestringRequired

Agent mode

extend_propertiesobject · Extend PropertiesOptional

Extended properties

invoke_fromstring · nullableOptional

Invoke from

inputsobject · Inputs · nullableOptional

Inputs

statusobject · nullableOptional

Workforce run status

Default: running
assignment_idstring · nullableOptional

Assignment ID

created_timestring · date-time · nullableOptional

Created time

updated_timestring · date-time · nullableOptional

Updated time

created_by_namestring · nullableOptional

Created by name

updated_by_namestring · nullableOptional

Updated by name

agent_typestring · nullableOptional

Agent type

get/admin/api/v2/conversations/{conversation_id}

Delete Conversation

delete

Delete a conversation and its messages

Path parameters
conversation_idstringRequired
Responses
204

Successful Response

application/json
objectOptional
delete/admin/api/v2/conversations/{conversation_id}

Update Conversation Status

patch

Update conversation status

Path parameters
conversation_idstringRequired
Query parameters
tenant_idstring · nullableOptional

Tenant Id

Example: 40d39c4b-9585-4123-8fd4-f1cc23a1184c
tenant_unit_idstring · nullableOptional

Tenant Unit ID

Example: da114de3-d7e6-4161-bc55-0ce85dbee589
Body
statusstring · enum · nullableOptional

Workforce Run Status Enum

Possible values:
Responses
200

Successful Response

application/json
created_bystring · nullableOptional
updated_bystring · nullableOptional
created_by_rolestring · nullableOptional
updated_by_rolestring · nullableOptional
idstringRequired

Conversation ID

topicstring · nullableOptional

Conversation topic

agent_idstringRequired

Agent ID

tenant_idstringRequired

Tenant ID

tenant_unit_idstringRequired

Tenant Unit ID

user_idstringRequired

User ID

agent_modestringRequired

Agent mode

extend_propertiesobject · Extend PropertiesOptional

Extended properties

invoke_fromstring · nullableOptional

Invoke from

inputsobject · Inputs · nullableOptional

Inputs

statusobject · nullableOptional

Workforce run status

Default: running
assignment_idstring · nullableOptional

Assignment ID

created_timestring · date-time · nullableOptional

Created time

updated_timestring · date-time · nullableOptional

Updated time

created_by_namestring · nullableOptional

Created by name

updated_by_namestring · nullableOptional

Updated by name

agent_typestring · nullableOptional

Agent type

patch/admin/api/v2/conversations/{conversation_id}/status

Last updated

Was this helpful?